libuser-0.58-alt1_2.x86_64.rpm


Advertisement

Description

libuser - A user and group account administration library

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports x86_64
Package filename libuser-0.58-alt1_2.x86_64.rpm
Package name libuser
Package version 0.58
Package release alt1_2
Package architecture x86_64
Package type rpm
Category System/Base
Homepage -
License -
Maintainer -
Download size 1.82 MB
Installed size 1.82 MB
The libuser library implements a standardized interface for manipulating
and administering user and group accounts.  The library uses pluggable
back-ends to interface to its data sources.
Sample applications modeled after those included with the shadow password
suite are included.

Alternatives

Package Version Architecture Repository
libuser-0.58-alt1_2.i586.rpm 0.58 i586 Autoimports
libuser - - -

Requires

Name Value
/lib64/ld-linux-x86-64.so.2 -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libcrypt.so.1()(64bit) -
libcrypt.so.1(GLIBC_2.2.5)(64bit) -
libglib-2.0.so.0()(64bit) -
libgmodule-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libldap-2.4.so.2()(64bit) -
libpam.so.0()(64bit) -
libpam.so.0(LIBPAM_1.0)(64bit) -
libpam_misc.so.0()(64bit) -
libpam_misc.so.0(LIBPAM_MISC_1.0)(64bit) -
libpopt.so.0()(64bit) -
libpopt.so.0(LIBPOPT_0)(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libselinux.so.1()(64bit) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
libuser = 0.58-alt1_2
libuser.so.1()(64bit) -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libuser-0.58-alt1_2.x86_64.rpm
Source Package libuser-0.58-alt1_2.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus x86_64 autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libuser rpm package:
    # sudo apt-get install libuser

Files

Path
/etc/libuser.conf
/usr/bin/lchfn
/usr/bin/lchsh
/usr/lib64/libuser.so.1
/usr/lib64/libuser.so.1.4.0
/usr/lib64/libuser/libuser_files.so
/usr/lib64/libuser/libuser_ldap.so
/usr/lib64/libuser/libuser_shadow.so
/usr/sbin/lchage
/usr/sbin/lgroupadd
/usr/sbin/lgroupdel
/usr/sbin/lgroupmod
/usr/sbin/lid
/usr/sbin/lnewusers
/usr/sbin/lpasswd
/usr/sbin/luseradd
/usr/sbin/luserdel
/usr/sbin/lusermod
/usr/share/doc/libuser-0.58/AUTHORS
/usr/share/doc/libuser-0.58/COPYING
/usr/share/doc/libuser-0.58/NEWS
/usr/share/doc/libuser-0.58/README
/usr/share/doc/libuser-0.58/TODO
/usr/share/doc/libuser-0.58/attributes.txt
/usr/share/doc/libuser-0.58/rfc2307.txt
/usr/share/locale/ar/LC_MESSAGES/libuser.mo
/usr/share/locale/as/LC_MESSAGES/libuser.mo
/usr/share/locale/bg/LC_MESSAGES/libuser.mo
/usr/share/locale/bn/LC_MESSAGES/libuser.mo
/usr/share/locale/bn_IN/LC_MESSAGES/libuser.mo
/usr/share/locale/bs/LC_MESSAGES/libuser.mo
/usr/share/locale/ca/LC_MESSAGES/libuser.mo
/usr/share/locale/cs/LC_MESSAGES/libuser.mo
/usr/share/locale/cy/LC_MESSAGES/libuser.mo
/usr/share/locale/da/LC_MESSAGES/libuser.mo
/usr/share/locale/de/LC_MESSAGES/libuser.mo
/usr/share/locale/de_CH/LC_MESSAGES/libuser.mo
/usr/share/locale/el/LC_MESSAGES/libuser.mo
/usr/share/locale/en_GB/LC_MESSAGES/libuser.mo
/usr/share/locale/es/LC_MESSAGES/libuser.mo
/usr/share/locale/et/LC_MESSAGES/libuser.mo
/usr/share/locale/fi/LC_MESSAGES/libuser.mo
/usr/share/locale/fr/LC_MESSAGES/libuser.mo
/usr/share/locale/gu/LC_MESSAGES/libuser.mo
/usr/share/locale/he/LC_MESSAGES/libuser.mo
/usr/share/locale/hi/LC_MESSAGES/libuser.mo
/usr/share/locale/hr/LC_MESSAGES/libuser.mo
/usr/share/locale/hu/LC_MESSAGES/libuser.mo
/usr/share/locale/id/LC_MESSAGES/libuser.mo
/usr/share/locale/is/LC_MESSAGES/libuser.mo
/usr/share/locale/it/LC_MESSAGES/libuser.mo
/usr/share/locale/ja/LC_MESSAGES/libuser.mo
/usr/share/locale/kn/LC_MESSAGES/libuser.mo
/usr/share/locale/ko/LC_MESSAGES/libuser.mo
/usr/share/locale/lv/LC_MESSAGES/libuser.mo
/usr/share/locale/mai/LC_MESSAGES/libuser.mo
/usr/share/locale/mk/LC_MESSAGES/libuser.mo
/usr/share/locale/ml/LC_MESSAGES/libuser.mo
/usr/share/locale/mr/LC_MESSAGES/libuser.mo
/usr/share/locale/ms/LC_MESSAGES/libuser.mo
/usr/share/locale/nb/LC_MESSAGES/libuser.mo
/usr/share/locale/nds/LC_MESSAGES/libuser.mo
/usr/share/locale/nl/LC_MESSAGES/libuser.mo
/usr/share/locale/or/LC_MESSAGES/libuser.mo
/usr/share/locale/pa/LC_MESSAGES/libuser.mo
/usr/share/locale/pl/LC_MESSAGES/libuser.mo
/usr/share/locale/pt/LC_MESSAGES/libuser.mo
/usr/share/locale/pt_BR/LC_MESSAGES/libuser.mo
/usr/share/locale/ro/LC_MESSAGES/libuser.mo
/usr/share/locale/ru/LC_MESSAGES/libuser.mo
/usr/share/locale/sk/LC_MESSAGES/libuser.mo
/usr/share/locale/sl/LC_MESSAGES/libuser.mo
/usr/share/locale/sr/LC_MESSAGES/libuser.mo
/usr/share/locale/sr@latin/LC_MESSAGES/libuser.mo
/usr/share/locale/sv/LC_MESSAGES/libuser.mo
/usr/share/locale/ta/LC_MESSAGES/libuser.mo
/usr/share/locale/te/LC_MESSAGES/libuser.mo
/usr/share/locale/tr/LC_MESSAGES/libuser.mo
/usr/share/locale/uk/LC_MESSAGES/libuser.mo
/usr/share/locale/vi/LC_MESSAGES/libuser.mo
/usr/share/locale/zh_CN/LC_MESSAGES/libuser.mo
/usr/share/locale/zh_TW/LC_MESSAGES/libuser.mo
/usr/share/man/man1/lchage.1.gz
/usr/share/man/man1/lchfn.1.gz
/usr/share/man/man1/lchsh.1.gz
/usr/share/man/man1/lgroupadd.1.gz
/usr/share/man/man1/lgroupdel.1.gz
/usr/share/man/man1/lgroupmod.1.gz
/usr/share/man/man1/lid.1.gz
/usr/share/man/man1/lnewusers.1.gz
/usr/share/man/man1/lpasswd.1.gz
/usr/share/man/man1/luseradd.1.gz
/usr/share/man/man1/luserdel.1.gz
/usr/share/man/man1/lusermod.1.gz
/usr/share/man/man5/libuser.conf.5.gz

See Also

Package Description
libuser-devel-0.58-alt1_2.x86_64.rpm Files needed for developing applications which use libuser
libvirt-dbus-1.3.0-alt1_3.x86_64.rpm libvirt D-Bus API binding
libvte3_2.90-0.36.5-alt2.x86_64.rpm Terminal emulator widget library for use with GTK+3
libvte3_2.90-devel-0.36.5-alt2.x86_64.rpm Development files for VTE
libvte3_2.90-gir-0.36.5-alt2.x86_64.rpm GObject introspection data for the vte3_2.90 library
libxavs-devel-0.1.55-alt1_10.x86_64.rpm Development files for libxavs
libxavs1-0.1.55-alt1_10.x86_64.rpm Audio Video Standard of China
libxmlbird-devel-1.2.10-alt1_1.x86_64.rpm Development files for xmlbird
libxmlbird1-1.2.10-alt1_1.x86_64.rpm XML parser with support for Vala iterators
libxmlrpc-epi-devel-0.54.2-alt1_9.x86_64.rpm Libraries, includes, etc. to develop XML and HTML applications
libxmlrpc-epi0-0.54.2-alt1_9.x86_64.rpm Library providing XMLPC support in C
libyalib-devel-1.7-alt1_7.x86_64.rpm yalib header files
libyalib1-1.7-alt1_7.x86_64.rpm YaFlight and YaInstall shared library
libyui-devel-3.4.2-alt1_1.x86_64.rpm libYUI, YaST2 User Interface Engine - header files
libyui-gtk-devel-2.44.10-alt2_2.x86_64.rpm UI abstraction library - GTK plugin header files
Advertisement
Advertisement